///
/// © MiroZ 2024
///
/// Created on: Apr 23, 2019
/// Modified: 2024
///

#ifndef __OTA_H__
#define __OTA_H__


#define BUFFSIZE 1024
#define HASH_LEN 32 /* SHA-256 digest length */

#include "AppIF.h"


class Ota
{
public:
	void start();

private:
	char otaWriteData[BUFFSIZE + 1] =	{ 0 };
	AppIF & m_app;

private:
	void taskFatalError();

public:
	Ota(AppIF & app);
	virtual ~Ota();
};

#endif /* __OTA_H__ */